DCTABLE(1)

NAME
dctable - ACR/NEMA DICOM PS3 ... DICOM PS3 - Make tables of attribute values

SYNOPSIS

dctable " inputfile1 [ inputfile2 ... ]" [ -ignorereaderrors ] [ -v|verbose ] [ -r|recurse ] [ -describe ] [ -nofilename ] [ -noembeddedquotes|decimal ] [ -key|k elementname|(0xgggg,0xeeee) ] ... [ -input-nometa ] [ -input-ts uid ] [ -input-default ] [ -input-byteorder|-input-endian big|little ] [ -input-vr implicit|explicit ]

DESCRIPTION

dctable reads the named dicom input files and creates a tab delimited table of the values of the selected attributes, with each value enclosed in double quotes.

Binary attributes are written in hexadecimal with a preceding "0x". Numeric string attributes are written in decimal.

The first column always contains the filenames.

A header is a added only if the -describe option is specified.

If a specified attribute is not present in a file, then it the corresponding entry in the table will be empty (i.e. two consecutive quotes" but this is not reported as an error.

OPTIONS
The table of attribute values go to standard output, and the verbose output and errors go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-describe
    Add a first line of output that is a header describing the attributes in each column.

-nofilename
    Do not include the filename in the table.

-noembeddedquotes|decimal
    Remove embedded quotes (") from within displayed values to allow them to be parsed consistenty later; also has the side effect of displaying numeric binary values as decimal rather than hexadecimal, hence the alternative option name.

-k|key  elementname|(0xgggg,0xeeee)
    Add a key to the list of attributes to be extracted. The attribute may also be specified as a hexadecimal pair of the form (0xgggg,0xeeee), which also allows private attributes to be fetched.

-r|recurse
    If any attribute is not found in the top level dataset, recurse through sequence attribute items until the first instance is found. This is a depth-first traversal, i.e., all children of the first item of a sequence are searched before the sibling items.

-ignorereaderrors
    Attempt to extract key values even if errors encountered whilst parsing DICOM file.

ENVIRONMENT

EXAMPLES

% dctable -k Rows -k Columns
        -describe test.dc3
"Filename"    "Rows"    "Columns"
"test.dc3"    "0x0100"    "0x0100"

FILES

SEE ALSO
dcintro(1),dckey(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

Attempts to extract sequences or OB,OW attributes may fail nastily.

The order in which the attributes are extracted and written is not the same order as they are specified on the command line, and should not be depended on.